org.apache.hc.client5.http.async

## Class AsyncExecChain.Scope

- java.lang.Object
- - org.apache.hc.client5.http.async.AsyncExecChain.Scope

Enclosing interface:
  AsyncExecChain

    public static final class AsyncExecChain.Scope
    extends Object

### Field Summary

Fields
`org.apache.hc.core5.concurrent.CancellableDependency` `cancellableDependency`
`HttpClientContext` `clientContext`
`String` `exchangeId`
`AsyncExecRuntime` `execRuntime`
`org.apache.hc.core5.http.HttpRequest` `originalRequest`
`HttpRoute` `route`

### Constructor Summary

Constructors
Constructor and Description
`AsyncExecChain.Scope(String exchangeId, HttpRoute route, org.apache.hc.core5.http.HttpRequest originalRequest, org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency, HttpClientContext clientContext, AsyncExecRuntime execRuntime)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### exchangeId

    public final String exchangeId

#### route

    public final HttpRoute route

#### originalRequest

    public final org.apache.hc.core5.http.HttpRequest originalRequest

#### cancellableDependency

    public final org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency

#### clientContext

    public final HttpClientContext clientContext

#### execRuntime

    public final AsyncExecRuntime execRuntime

### Constructor Detail

#### AsyncExecChain.Scope

    public AsyncExecChain.Scope(String exchangeId,
                        HttpRoute route,
                        org.apache.hc.core5.http.HttpRequest originalRequest,
                        org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency,
                        HttpClientContext clientContext,
                        AsyncExecRuntime execRuntime)